org.eclipse.microprofile.openapi.tck

## Class AppTestBase

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.openapi.tck.AppTestBase

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

Direct Known Subclasses:
  AirlinesAppTest, FilterTest, ModelReaderAppTest, OASConfigExcludeClassesTest, OASConfigExcludeClassTest, OASConfigExcludePackageTest, OASConfigScanClassBase, OASConfigScanClassesTest, OASConfigScanDisableTest, OASConfigScanPackageTest, OASConfigSchemaTest, OASConfigServersTest, PetStoreAppTest, StaticDocumentTest

    public abstract class AppTestBase
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

Fields
`protected static io.restassured.filter.Filter` `YAML_FILTER`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`AppTestBase()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`io.restassured.response.ValidatableResponse` `callEndpoint(String type)`
`static void` `configureRestAssured()`
`static String` `dereference(io.restassured.response.ValidatableResponse vr, String path)` Lookup the object at the provided path in the response and if the object is a reference (contains a $ref property), return the reference path.
`Object[][]` `provide()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### YAML_FILTER

    protected static final io.restassured.filter.Filter YAML_FILTER

### Constructor Detail

#### AppTestBase

    public AppTestBase()

### Method Detail

#### configureRestAssured

    @BeforeClass
    public static void configureRestAssured()
                                                  throws MalformedURLException

Throws:
  `MalformedURLException`

#### callEndpoint

    public io.restassured.response.ValidatableResponse callEndpoint(String type)

#### dereference

    public static String dereference(io.restassured.response.ValidatableResponse vr,
                                     String path)

Lookup the object at the provided path in the response and if the object is a reference (contains a $ref property), return the reference path. If the object is not a reference, return the input path.

Parameters:
  `vr` - the response
  `path` - a path which may be a reference object (containing a $ref)
Returns:
  the path the object references if present, else the input path

#### provide

    @DataProvider(name="formatProvider")
    public Object[][] provide()